Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
b2WorldManifold Struct Reference

This is used to compute the current state of a contact manifold. More...

`#include <b2Collision.h>`

## Public Member Functions
void | Initialize (const b2Manifold *manifold, const b2Transform &xfA, float32 radiusA, const b2Transform &xfB, float32 radiusB)

## Public Attributes
b2Vec2 | normal
| world vector pointing from A to B
b2Vec2 | points [b2_maxManifoldPoints]
| world contact point (point of intersection)
float32 | separations [b2_maxManifoldPoints]
| a negative value indicates overlap, in meters

## Detailed Description

This is used to compute the current state of a contact manifold.

## Member Function Documentation

void b2WorldManifold::Initialize | ( | const b2Manifold * | manifold,
|  | const b2Transform & | xfA,
|  | float32 | radiusA,
|  | const b2Transform & | xfB,
|  | float32 | radiusB
| ) |  |

Evaluate the manifold with supplied transforms. This assumes modest motion from the original state. This does not change the point count, impulses, etc. The radii must come from the shapes that generated the manifold.

The documentation for this struct was generated from the following files:

- b2Collision.h
- b2Collision.cpp